# XW_EXT_WINDOW Struct Reference

`#include <Xw_Extension.h>`

## Data Fields

void * | link
int | type
XWindowAttributes | attributes
int | axleft
int | aytop
int | axright
int | aybottom
int | rwidth
int | rheight
float | xratio
float | yratio
XW_EXT_DISPLAY * | connexion
Window | window
Pixmap | pixmap
int | nwbuffer
XID | wbuffers [2]
Drawable | drawable
int | backindex
int | clipflag
XW_EXT_COLORMAP * | pcolormap
XW_EXT_WIDTHMAP * | pwidthmap
XW_EXT_TYPEMAP * | ptypemap
XW_EXT_FONTMAP * | pfontmap
XW_EXT_TILEMAP * | ptilemap
XW_EXT_MARKMAP * | pmarkmap
int | lineindex
XW_QGL | qgline [MAXQG]
int | polyindex
XW_QGP | qgpoly [MAXQG]
int | textindex
XW_QGT | qgtext [MAXQG]
int | markindex
XW_QGM | qgmark [MAXQG]
XW_QGW | qgwind
XW_ECBK | ecbk [MAXEVENT]
XW_ICBK | icbk [MAXEVENT]
void * | other

## Field Documentation

XWindowAttributes XW_EXT_WINDOW::attributes

int XW_EXT_WINDOW::axleft

int XW_EXT_WINDOW::axright

int XW_EXT_WINDOW::aybottom

int XW_EXT_WINDOW::aytop

int XW_EXT_WINDOW::backindex

int XW_EXT_WINDOW::clipflag

XW_EXT_DISPLAY* XW_EXT_WINDOW::connexion

Drawable XW_EXT_WINDOW::drawable

XW_ECBK XW_EXT_WINDOW::ecbk[MAXEVENT]

XW_ICBK XW_EXT_WINDOW::icbk[MAXEVENT]

int XW_EXT_WINDOW::lineindex

void* XW_EXT_WINDOW::link

int XW_EXT_WINDOW::markindex

int XW_EXT_WINDOW::nwbuffer

void* XW_EXT_WINDOW::other

XW_EXT_COLORMAP* XW_EXT_WINDOW::pcolormap

XW_EXT_FONTMAP* XW_EXT_WINDOW::pfontmap

Pixmap XW_EXT_WINDOW::pixmap

XW_EXT_MARKMAP* XW_EXT_WINDOW::pmarkmap

int XW_EXT_WINDOW::polyindex

XW_EXT_TILEMAP* XW_EXT_WINDOW::ptilemap

XW_EXT_TYPEMAP* XW_EXT_WINDOW::ptypemap

XW_EXT_WIDTHMAP* XW_EXT_WINDOW::pwidthmap

XW_QGL XW_EXT_WINDOW::qgline[MAXQG]

XW_QGM XW_EXT_WINDOW::qgmark[MAXQG]

XW_QGP XW_EXT_WINDOW::qgpoly[MAXQG]

XW_QGT XW_EXT_WINDOW::qgtext[MAXQG]

XW_QGW XW_EXT_WINDOW::qgwind

int XW_EXT_WINDOW::rheight

int XW_EXT_WINDOW::rwidth

int XW_EXT_WINDOW::textindex

int XW_EXT_WINDOW::type

XID XW_EXT_WINDOW::wbuffers[2]

Window XW_EXT_WINDOW::window

float XW_EXT_WINDOW::xratio

float XW_EXT_WINDOW::yratio

The documentation for this struct was generated from the following file:

- Xw_Extension.h